You are not logged in.

#1 2009-09-06 21:03:50

Crows
Member
From: Wales
Registered: 2008-09-05
Posts: 92

[solved]tolua++ and conky 1.7.2

I've been messing with this for a while now, but I have no idea what's wrong.

I'm trying to compile (via ABS) the conky 1.7.2 package with support for the new lua bindings (--enable-lua-cairo/--enable-lua-imlib2). I've installed the toluapp package from AUR, which the configure script seems to accept - but it always hits a snag at this point:

checking for tolua++... tolua++
checking for a library containing tolua_error... no
configure: error: tolua_error not found

Any ideas? I'm desperate to try the new features.

Last edited by Crows (2009-09-29 15:05:22)

Offline

#2 2009-09-07 19:08:07

Crows
Member
From: Wales
Registered: 2008-09-05
Posts: 92

Re: [solved]tolua++ and conky 1.7.2

This is really driving me crazy. I've installed and re-installed toluapp and trawled through google and I can't even begin to find an answer.

I'm positive that the ./configure script is looking for /usr/lib/libtolua++.a for tolua_error, but the script is just a mass of characters I can't follow.

Have any archers managed to compile conky 1.7.2 with lua bindings through ABS? I honestly can't work out what's wrong.

Offline

#3 2009-09-29 14:31:27

Painless
Member
Registered: 2006-02-06
Posts: 183

Re: [solved]tolua++ and conky 1.7.2

Hi Crows, did you find the solution to this problem?  I've just come across it too.

Offline

#4 2009-09-29 14:57:55

Painless
Member
Registered: 2006-02-06
Posts: 183

Re: [solved]tolua++ and conky 1.7.2

I suspect you require tolua and not tolua++

Offline

#5 2009-09-29 15:04:32

Crows
Member
From: Wales
Registered: 2008-09-05
Posts: 92

Re: [solved]tolua++ and conky 1.7.2

Sorry, forgot to mark this as solved seeing as it was quite far off the front page. In the end I got it working by adding LUA51_LIBS='-llua -lm' to the section of the PKGBUILD that includes --enable etc.

Last edited by Crows (2009-09-29 15:04:44)

Offline

#6 2009-09-29 19:47:00

Painless
Member
Registered: 2006-02-06
Posts: 183

Re: [solved]tolua++ and conky 1.7.2

Worked nicely, thanks!

Offline

#7 2009-10-06 18:12:09

p0rkjello
Member
Registered: 2008-07-21
Posts: 5
Website

Re: [solved]tolua++ and conky 1.7.2

Crows wrote:

Sorry, forgot to mark this as solved seeing as it was quite far off the front page. In the end I got it working by adding LUA51_LIBS='-llua -lm' to the section of the PKGBUILD that includes --enable etc.

I can't seem to get it to work.. Could you clarify..

build() {
  cd ${srcdir}/${pkgname}-${pkgver}
  ./configure LUA51_LIBS='-llua -lm' \
              --prefix=/usr \
              --sysconfdir=/etc \
              --enable-rss \
              --enable-ibm \
              --enable-imlib2 \
              --enable-lua \
              --enable-lua-cairo
  make || return 1

Error:

/usr/lib/gcc/x86_64-unknown-linux-gnu/4.4.1/../../../../lib/libtolua++.a: could not read symbols: Bad value
collect2: ld returned 1 exit status
make[1]: *** [libcairo.la] Error 1

Last edited by p0rkjello (2009-10-06 18:12:36)

Offline

#8 2009-10-06 20:23:55

p0rkjello
Member
Registered: 2008-07-21
Posts: 5
Website

Re: [solved]tolua++ and conky 1.7.2

p0rkjello wrote:
Crows wrote:

Sorry, forgot to mark this as solved seeing as it was quite far off the front page. In the end I got it working by adding LUA51_LIBS='-llua -lm' to the section of the PKGBUILD that includes --enable etc.

I can't seem to get it to work.. Could you clarify..

build() {
  cd ${srcdir}/${pkgname}-${pkgver}
  ./configure LUA51_LIBS='-llua -lm' \
              --prefix=/usr \
              --sysconfdir=/etc \
              --enable-rss \
              --enable-ibm \
              --enable-imlib2 \
              --enable-lua \
              --enable-lua-cairo
  make || return 1

Error:

/usr/lib/gcc/x86_64-unknown-linux-gnu/4.4.1/../../../../lib/libtolua++.a: could not read symbols: Bad value
collect2: ld returned 1 exit status
make[1]: *** [libcairo.la] Error 1

nevermind.. it looks like an x84_64 thing.. I need to recomple tolua++ w/ -fPIC

Offline

#9 2009-10-09 13:39:02

xjparkerx
Member
Registered: 2009-08-20
Posts: 7

Re: [solved]tolua++ and conky 1.7.2

would it be possible for someone who got conky to comple with the lua bindings to post their PKGBUILD?

Offline

#10 2009-11-06 12:46:35

kaivalagi
Member
From: Norwich, UK
Registered: 2009-11-05
Posts: 145

Re: [solved]tolua++ and conky 1.7.2

I am new to Arch and am trying to get conky-lua installed from the AUR and failing. I have the same compile issues on the builds as described above/elsewhere but just don't know how to resolve them in the PKGBUILD files, toluapp is using scons rather than a traditional make based package. I am running 64 bit arch

I am running "yaourt -Sy conky-lua" which picks up the toluapp dependancy. I need to add atleast an -fPIC flag to CCFLAGS of the toluapp build and just don't know how. I have tried using the env directive to set this compiler option but it just fails...please help

Hopefully this issue will get resolved in the source PKGBUILD file


Running Arch 64 (Made the switch to Arch 10/2009)
AUR | BZR

Offline

Board footer

Powered by FluxBB